package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.Type;
import org.springframework.data.domain.Pageable;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RksIsiRequest extends BaseRequest {

    private Long id;
    private Long rksDaftarIsiId;
    private String nomor;
    private Integer parentId;
    private String parent;
    private String nama;
    private String bab;
    private String subBab;
    private String kelompok;
    private String urutan;
    private Boolean isKontrak;
    private Boolean isActive;
    private Boolean isDelete;

    private transient Pageable pageable;

}
