package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpResponse extends BaseResponse {
    private Long id;
    private Integer tahun;
    private String approveStatus;
    private Date approveDate;
    private Boolean isActive;
    private Boolean isDelete;
    private Integer totalPengadaan;

    private List<DrpDokumenResponse> dataDrpDokumen;

    private List<DrpDokumenResponse> dataDrpDokumenPendukung;
}
